# Class FileHandler.ThreadFactory

java.lang.Object
org.apache.juli.FileHandler.ThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

Enclosing class:
  `FileHandler`

protected static final class FileHandler.ThreadFactory extends Object implements ThreadFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThreadFactory(String namePrefix)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Thread`
  `newThread(Runnable r)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThreadFactory

    public ThreadFactory(String namePrefix)

- ## Method Details

  - ### newThread

    public Thread newThread(Runnable r)
    Specified by:
      `newThread` in interface `ThreadFactory`